Package bitel.billing.server.contract.bean

# Class ContractBalanceUtils.WebBalanceData

java.lang.Object
bitel.billing.server.contract.bean.ContractBalanceUtils.WebBalanceData

Enclosing class:
  ContractBalanceUtils

    public static class ContractBalanceUtils.WebBalanceData
    extends java.lang.Object

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `WebBalanceData()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.util.List<java.lang.String[]>` | `getAccountList()` |
  `java.util.List<Charge>` | `getChargeList()` |
  `java.util.Map<java.lang.Integer,​ChargeType>` | `getChargeTypeMap()` |
  `Contract` | `getContract()` |
  `ContractManager` | `getContractManager()` |
  `ru.bitel.bgbilling.kernel.event.events.system.ContractWebMessagesEvent` | `getEvent()` |
  `int` | `getMonth()` |
  `java.util.List<Payment>` | `getPaymentList()` |
  `java.util.Map<java.lang.Integer,​PaymentType>` | `getPaymentTypeMap()` |
  `java.math.BigDecimal` | `getSumma1()` |
  `java.math.BigDecimal` | `getSumma2()` |
  `java.math.BigDecimal` | `getSumma3()` |
  `java.math.BigDecimal` | `getSumma4()` |
  `java.math.BigDecimal` | `getSumma5()` |
  `int` | `getYear()` |
  `void` | `setAccountList​(java.util.List<java.lang.String[]> accountList)` |
  `void` | `setChargeList​(java.util.List<Charge> chargeList)` |
  `void` | `setChargeTypeMap​(java.util.Map<java.lang.Integer,​ChargeType> chargeTypeMap)` |
  `void` | `setContract​(Contract contract)` |
  `void` | `setContractManager​(ContractManager contractManager)` |
  `void` | `setEvent​(ru.bitel.bgbilling.kernel.event.events.system.ContractWebMessagesEvent event)` |
  `void` | `setMonth​(int month)` |
  `void` | `setPaymentList​(java.util.List<Payment> paymentList)` |
  `void` | `setPaymentTypeMap​(java.util.Map<java.lang.Integer,​PaymentType> paymentTypeMap)` |
  `void` | `setSumma1​(java.math.BigDecimal summa1)` |
  `void` | `setSumma2​(java.math.BigDecimal summa2)` |
  `void` | `setSumma3​(java.math.BigDecimal summa3)` |
  `void` | `setSumma4​(java.math.BigDecimal summa4)` |
  `void` | `setYear​(int year)` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### WebBalanceData

    public WebBalanceData()

- ## Method Details

  - ### getMonth

    public int getMonth()

  - ### setMonth

    public void setMonth​(int month)

  - ### getYear

    public int getYear()

  - ### setYear

    public void setYear​(int year)

  - ### getSumma1

    public java.math.BigDecimal getSumma1()

  - ### setSumma1

    public void setSumma1​(java.math.BigDecimal summa1)

  - ### getSumma2

    public java.math.BigDecimal getSumma2()

  - ### setSumma2

    public void setSumma2​(java.math.BigDecimal summa2)

  - ### getSumma3

    public java.math.BigDecimal getSumma3()

  - ### setSumma3

    public void setSumma3​(java.math.BigDecimal summa3)

  - ### getSumma4

    public java.math.BigDecimal getSumma4()

  - ### setSumma4

    public void setSumma4​(java.math.BigDecimal summa4)

  - ### getSumma5

    public java.math.BigDecimal getSumma5()

  - ### getContractManager

    public ContractManager getContractManager()

  - ### setContractManager

    public void setContractManager​(ContractManager contractManager)

  - ### getContract

    public Contract getContract()

  - ### setContract

    public void setContract​(Contract contract)

  - ### getPaymentList

    public java.util.List<Payment> getPaymentList()

  - ### setPaymentList

    public void setPaymentList​(java.util.List<Payment> paymentList)

  - ### getPaymentTypeMap

    public java.util.Map<java.lang.Integer,​PaymentType> getPaymentTypeMap()

  - ### setPaymentTypeMap

    public void setPaymentTypeMap​(java.util.Map<java.lang.Integer,​PaymentType> paymentTypeMap)

  - ### getChargeList

    public java.util.List<Charge> getChargeList()

  - ### setChargeList

    public void setChargeList​(java.util.List<Charge> chargeList)

  - ### getChargeTypeMap

    public java.util.Map<java.lang.Integer,​ChargeType> getChargeTypeMap()

  - ### setChargeTypeMap

    public void setChargeTypeMap​(java.util.Map<java.lang.Integer,​ChargeType> chargeTypeMap)

  - ### getAccountList

    public java.util.List<java.lang.String[]> getAccountList()

  - ### setAccountList

    public void setAccountList​(java.util.List<java.lang.String[]> accountList)

  - ### getEvent

    public ru.bitel.bgbilling.kernel.event.events.system.ContractWebMessagesEvent getEvent()

  - ### setEvent

    public void setEvent​(ru.bitel.bgbilling.kernel.event.events.system.ContractWebMessagesEvent event)